%global shortname gpgme
%global modname pygpgme

Name:           python-%{modname}
Version:        0.3
Release:        18%{?dist}
Summary:        Python module for working with OpenPGP messages

License:        LGPLv2+
URL:            https://pypi.python.org/pypi/%{modname}
Source0:        https://files.pythonhosted.org/packages/source/%(n=%{modname}; echo ${n:0:1})/%{modname}/%{modname}-%{version}.tar.gz
# upstream is dead, but all of patches somewhere in launchpad and backported here
# All patches are tracked at: https://pagure.io/pygpgme
Patch0001:      0001-reflect-2.1-reporting-for-key-imports.patch
Patch0002:      0002-passphrase_cb-is-deprecated.patch
Patch0003:      0003-handle-generic-error-when-no-passphrase-callback-pre.patch
Patch0004:      0004-add-pubkey_algo-and-hash_algo-attributes-to-signatur.patch
Patch0005:      0005-add-ENCRYPT_NO_ENCRYPT_TO-constant.patch
Patch0006:      0006-ignore-STATUS_KEY_CONSIDERED-when-editing.patch

BuildRequires:  gpgme-devel
BuildRequires:  gcc

%global _description \
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt\
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and\
the GPGME library.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
%{?python_provide:%python_provide python2-%{shortname}}
BuildRequires:  python2-devel
Provides:       pygpgme = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       pygpgme%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      pygpgme < 0.3-17

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
%{?python_provide:%python_provide python3-%{shortname}}
BuildRequires:  python3-devel

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -p1 -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# Use the installed gpgme because it has the built compiled module
mv gpgme gpgme.bak
PYTHONPATH=%{buildroot}%{python2_sitearch} GPG_AGENT_INFO= %{__python2} test_all.py -v
PYTHONPATH=%{buildroot}%{python3_sitearch} GPG_AGENT_INFO= %{__python3} test_all.py -v

%files -n python2-%{modname}
%doc README examples tests
%{python2_sitearch}/%{shortname}/
%{python2_sitearch}/%{modname}-*.egg-info

%files -n python3-%{modname}
%doc README examples tests
%{python3_sitearch}/%{shortname}/
%{python3_sitearch}/%{modname}-*.egg-info

%changelog
* Mon Jul 25 2016 Igor Gnatenko <ignanteko@redhat.com> - 0.3-18
- Patch to ignore STATUS_KEY_CONSIDERED (hey gnupg2-2.1.13, RHBZ #1359521)

* Wed Jul 20 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.3-17
- Remove completely old stuff
- Run tests for py2/py3
- Modernize spec according to guidelines
- Rename package
- Backport fixes for new gpgme

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-16
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Robert Kuska <rkuska@redhat.com> - 0.3-14
- Rebuilt for Python3.5 rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 Tom Callaway <spot@fedoraproject.org> - 0.3-11
- fix license handling

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Thu Aug 22 2013 Till Maas <opensource@till.name> - 0.3-8
- Add patches for ENCRYPT_NO_ENCRYPT_TO, pubkey_algo and hash_algo (#975815)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 28 2012 Miloslav Trmač <mitr@redhat.com> - 0.3-5
- Disable -fstrict-aliasing (see http://www.python.org/dev/peps/pep-3123/ for
  rationale)
- Don't ship .pyc files from the test suite in %%doc, to avoid multilib
  conflicts

* Fri Nov 23 2012 Miloslav Trmač <mitr@redhat.com> - 0.3-4
- Don't build the python3 package on RHEL

* Fri Aug 03 2012 David Malcolm <dmalcolm@redhat.com> - 0.3-3
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3-1
- New upstream release
- Build a python3 subpackage
- Run the test suite even though we ignore the output

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 17 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2-1
- Update for new upstream release.  Doesn't add any new code, just switches
  from a snapshot to a release and bumps version

* Fri Feb 11 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 22.20101027bzr69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild 

* Wed Oct 27 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 21.20101027bzr69
- New snapshot to fix BZ#647059: pygpgme error creating context on F14.

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-20.20090824bzr68
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Mar  4 2010 Miloslav Trmač <mitr@redhat.com> - 0.1-19.20090824bzr68
- Filter out bogus Provides: _gpgme.so
- Drop no longer required references to BuildRoot:
- s/%%define/%%global/g

* Wed Feb  3 2010 Miloslav Trmač <mitr@redhat.com> - 0.1-18.20090824bzr68
- Classify pygpgme-examples.patch as Source, not a Patch, to silence rpmlint

* Wed Oct 28 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-17.20090824bzr68
- Include tests and examples as documentation.

* Mon Aug 24 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-16.20090824bzr68
- Rebase to new upstream snapshot
- Patches merged upstream
- Fixes deprecation warnings on py2.6/py3.0
- Remove py2.3 patch -- only needed for EPEL-4

* Tue Jul 28 2009 Jesse Keating <jkeating@redhat.com> - 0.1-15.20090121bzr54
- Add a second patch from mitr for symmetric_encryption_support

* Tue Jul 28 2009 Jesse Keating <jkeating@redhat.com> - 0.1-14.20090121bzr54
- Patch from mitr for gpgme_ctx_set_engine_info

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-13.20090121bzr54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-12.20090121bzr54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-11.20090121bzr54
- Add patch to cvs.

* Wed Jan 21 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-10.20090121bzr54
- Update to upstream snapshot.

* Fri Nov 28 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1-9
- Rebuild for Python 2.6

* Fri Feb 8 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-8
- Rebuild for new gcc.

* Thu Jan 3 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1-7
- Include egg-info files.

* Fri May 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-6
- Rebuild to pick up enhancements from gcc on F-8.
- Update licensing to conform to new guidelines.

* Fri May 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-5
- Rebuild because of a bug in linking to an early version of the python-2.5
  package,

* Mon Oct 23 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-4
- Bump and rebuild for python 2.5 on devel.

* Mon Oct 23 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-3
- Add a patch to work under Python 2.3.
- Stop shipping the tests as they are useless to the end user.

* Fri Oct 13 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-2
- Change URL to cheeseshop

* Sun Oct 08 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-1
- Initial build for Fedora Extras. 
